﻿using System.Globalization;
using System.Windows.Controls;

namespace CheckHobbyProcess
{
	internal class TextToIntValidationRule : ValidationRule
	{
		public override ValidationResult Validate(object value, CultureInfo cultureInfo)
		{
			long res;

			if (!long.TryParse(value as string, out res))
			{
				return new ValidationResult(false, "整数を入力してください。");
			}
			if (res < int.MinValue || int.MaxValue < res)
			{
				return new ValidationResult(false, "数字の桁が大きすぎます。");
			}

			return new ValidationResult(true, null);
		}
	}
}
